{ flake }:

let
  baseModules = [
    ./genode-core.nix
    ./genode-init.nix
    ./gui
    ./hardware.nix
    ./qemu-vm.nix
    ./systemd.nix
  ];
in {

  x86_64 = {
    imports = baseModules;
    nixpkgs = rec {
      localSystem = "x86_64-linux";
      crossSystem = "x86_64-genode";
      system = localSystem + "-" + crossSystem;
      pkgs = flake.legacyPackages.${system};
    };
  };

  nova = import ./nova.nix;

}
